diff --git a/contrib/amd/BUGS b/contrib/amd/BUGS
index 3bd0f16..3a3ba6b 100644
--- a/contrib/amd/BUGS
+++ b/contrib/amd/BUGS
@@ -1,7 +1,8 @@
-# -*- text -*-
-
 	    LIST OF KNOWN BUGS IN AM-UTILS OR OPERATING SYSTEMS
 
+Note: report am-utils bugs via Bugzilla to https://bugzilla.am-utils.org/ or
+by email to the am-utils@am-utils.org mailing list.
+
 
 (1) mips-sgi-irix*
 
@@ -20,10 +21,20 @@ reliable as yp_all() which uses TCP, but it is better than hanging.
 (I have some reports that older version of hpux-9, with older libc, also
 leak file descriptors.)
 
+[1C] SGI's MIPSpro C compiler on IRIX 6 has the unfortunate habit of
+creating code specificially for the machine it runs on.  The ABI and ISA
+used depend very much on the OS version and compiler release used.  This
+means that the resulting amd binary won't run on machines different from
+the build host, particularly older ones.  Older versions of am-utils
+enforced the O32 ABI when compiling with cc to work around this, but this
+ABI is deprecated in favor of the N32 ABI now, so we use -n32 -mips3 to
+ensure that the binaries run on every host capable of running IRIX 6 at
+all.  If this is not appropriate for you, configure with something like
+CC='cc -64' instead to get the desired ABI and ISA.
 
 (2) alpha-unknown-linux-gnu (RedHat Linux 4.2)
 
-hasmntopt(mnt, opt) can goes into an infinite loop if opt is any substring
+hasmntopt(mnt, opt) can go into an infinite loop if opt is any substring
 of mnt->mnt_opts.  Redhat 5.0 does not have this libc bug.  Here is an
 example program:
 
@@ -99,7 +110,7 @@ Upgrade to gcc 2.8.x or use IBM's xlC compiler.
 in strlen inside strdup inside svc_register().
 
 
-(5) *-linux-gnu (RedHat Linux 5.1)
+(5) *-linux-rh51 (RedHat Linux 5.1)
 
 There's a UDP file descriptor leak in libnsl in RedHat Linux 5.1.  This
 library part of glibc2.  Am-utils currently declares redhat 5.1 systems as
@@ -112,17 +123,181 @@ but it is not yet in the glibc-2.0.7-19 RPM.
 
 A bug in libc results in an amq binary that doesn't work; amq -v dumps core
 in xdr_string.  There is no known fix (source code or vendor patch) at this
-time.  (Please let amd-dev know if you know of a fix.)
+time.  (Please let am-utils@am-utils.org know if you know of a fix.)
 
 
 (7) *-aix4.3.2.0
 
-The plock() function appears to fail with ENOMEM (Not Enough Space).  When
-it fails, it consumes a lot of memory.  This appears to be an AIX bug.  I
-think plock returns an error code, but it partially succeeds to lock some
-pages, thus increasing memory consumption.  When partial failures occur, it
-is possible that AIX fails to unlock those pages it did lock.  Solution:
-turn off usage of plock on AIX.  Put plock=no in your amd.conf file (which
-is the default if you do nothing).
+The plock() function will pre-reserve all of the memory up to the maximum
+listed in the ulimit.  If the ulimit is infinite, plock() will try to take
+all of the system's memory, and fail with ENOMEM (Not Enough Space).
+Normally ulimit may be set to a few gigs of max memory usage, but even that
+is too much; Amd doesn't need more than a few megs of resident memory size
+(depending on the particular usage, number of maps, etc.)  Solution: lower
+your ulimit before starting amd.  This can be done inside the ctl-amd
+script, but be careful not to limit it too low.  Alternatively, don't use
+plock on aix-4.3: set it to plock=no in amd.conf (which is the default if
+you do nothing).
+
+
+(8) *-linux (systems using glibc 2.1, such as RedHat-6.x)
+
+There's a UDP file descriptor leak in the NIS routines in glibc, especially
+those that do yp_bind.  Until this is bug fixed, do not set nis_domain in
+amd.conf, but let the system pick up the default domain name as set by your
+system.  That would avoid using the buggy yp_bind routines in libc.
+
+
+(9) *-linux (SuSE systems using unfsd)
+
+The user-level nfsd (2.2beta44) on older SuSE Linux systems (and possibly
+others) dies with a SEGV when amd tries to contact it for access to a volume
+that does not exist, or one for which there is no permission to mount.
+
+
+(10) *-*-hpux11
+
+If you're using NFSv3, you must install HP patches PHNE_20344 and
+PHNE_20371.  If you don't, and you try to use amd with NFSv3 over TCP, your
+kernel will panic.
+
+
+(11) *-linux* (any system using a 2.2.18+ kernel)
+
+The Linux kernels don't support Amd's direct mounts very well, leading to
+erratic behavior: shares that don't get remounted after the first timeout,
+inability to restart Amd because its mount points cannot be unmounted, etc.
+There are some kernel patches on the am-utils Web site, which solve these
+problems.  See http://www.am-utils.org/patches/.
+
+Later 2.4.x kernels completely disallow the hack amd was using for direct
+mounts, so another solution will have to be found.
+
+Note: the above is for the old-style amd mount_type = nfs. The autofs mounts
+don't support direct mounts at all (due to lack of kernel support).
+
+(12) *-aix5.1.0.0 and *-hpux9*
+
+/bin/sh is broken and fails to run the configure script properly. You need
+to use /bin/ksh instead. The buildall script will do it for you; if for some
+reason you need to run configure directly, run it using 'ksh configure'
+instead of just 'configure'.
+
+[12A] *-aix5.2.*
+
+Apparently there is an NFS client side bug in vmount() which causes amd to
+hang when it starts (and tries to NFS-mount itself).  According to IBM
+engineers, this has to do with partial support code for IPv6: the NFS kernel
+code doesn't appear to recognize the sin_family of the amd vmount(),
+although amd does the right thing.  The bug doesn't appear to be in 5.1 or
+4.3.3.  A fix from IBM is available, APAR number IY41417.
+
+A binary built on 4.3.3 will not work on 5.2, because the kernel ABIs have
+changed.
+
+[12C] *-aix*
+
+It is important that you install bos.net.nfs.adt before configuring and
+building am-utils.  If you don't, you will get compile-time or
+configure-time errors, especially when configure tries to find AIX's
+definition of struct nfs_args.
+
+(13) *-linux and *-darwin6.0
+
+Certain linux kernels (2.4.18+ are fine, 2.4.10- are probably bad, those in
+between have not been tested) have a bug which causes them to reconnect
+broken NFS/TCP connections using unprivileged ports (greater than 1024),
+unlike the initial connections which do originate from privileged
+ports.  This can upset quite a few NFS servers and causes accesses to the
+mounted shares to fail with "Operation not permitted" (EPERM).
+
+The darwin (MacOS X) kernel defaults to using unprivileged ports, but that
+can be changed by setting the resvport mount flag (which amd sets by
+default).  Nonetheless, if a TCP connection breaks, under certain unclear
+circumstances the kernel might "forget" about that flag and start using
+unprivileged ports, causing the same EPERM error above.
+
+(14) Solaris
+
+The line "%option" in *.l files may cause Solaris /usr/ccs/bin/lex to abort
+with the error "missing translation value."  This is a bug in Solaris lex.
+
+Moreover, both Solaris yacc and lex produce code that does not pass strict
+compilation such as "gcc -Wall -Werror".
+
+Use GNU Flex and Bison instead.  You can download ready-made binaries from
+www.sunfreeware.com.  Note, however, that sometimes the binaries on
+sunfreeware.com don't seem to work, often because they are built against an
+older revision of Solaris or build tools.  In that case, build a fresh
+version of GNU flex and/or bison from the latest stable sources.  See
+http://www.gnu.org/software/flex/ and http://www.gnu.org/software/bison/.
+
+(15) Solaris 8 + patch 10899[34]-xx (18 <= xx < 25) or patch 11260[56]-xx
+
+With this patch, Sun updated the autofs kernel module and automountd
+userspace daemon from version 3 to version 4.  They also updated the
+/usr/include/rpcsvc/autofs_prot.x file, but forgot to regenerate the
+autofs_prot.h file.  Thus, when amd is compiled, it uses the old header and
+thinks it should use autofs version 3, when in fact the kernel now supports
+(and expects) only version 4.
+
+The workaround is to run 'rpcgen -C -h /usr/include/rpcsvc/autofs_prot.x >
+/usr/include/rpcsvc/autofs_prot.h' and completely reconfigure and rebuild
+am-utils (removing config.cache before running configure).
+
+The problem is fixed in patch revisions 10899[34]-25 and up.
+
+
+(16) Linux kernel 2.4+ and lofs mounts
+
+Lofs mounts are not supported by the linux kernel, at all, but since 2.4.0
+the kernel supports a similar type of mount called a bind mount.  Its
+semantics are closer to those of a hardlink than to those of lofs, and one
+of the results is that bind mounts ignore any mount options paseed to them.
+
+Amd uses bind mounts internally to emulate lofs mounts, which means that
+lofs mounts on linux will effectively ignore their mount parameters and
+inherit whatever options the original filesystem mounted upon had.
+
+
+(17) autoconf 2.57
+
+If you see configure warnings of the following kind:
+
+configure: WARNING: sys/proc.h: present but cannot be compiled
+configure: WARNING: sys/proc.h: check for missing prerequisite headers?
+configure: WARNING: sys/proc.h: proceeding with the preprocessor's result
+configure: WARNING:     ## ------------------------------------ ##
+configure: WARNING:     ## Report this to bug-autoconf@gnu.org. ##
+configure: WARNING:     ## ------------------------------------ ##
 
-Erez.
+please ignore them.  They are not real errors, and neither
+bug-autoconf@gnu.org nor the am-utils maintainers are interested in hearing
+about them.  Autoconf simply tries to do more than we need and attempts to
+compile each header in isolation, which fails for many system headers.
+That's ok, because we only need to know if a header file exists -- we know
+how to use it properly ourselves.
+
+While autoconf does offer a way to specify other files to be included with
+the tested header, in order to avoid these warnings, using it would enlarge
+the resulting configure script by an order of magnitude, and for no real
+gain.  Configure is big enough as it is, we don't need any more useless
+baggage in it.
+
+(18) NetBSD 2.0.2, FreeBSD 5.4, OpenBSD 3.7, and quite possibly most other
+     BSDs and other OSs (as of September 2005)
+
+Some BSD kernels don't have a way to turn off the NFS attribute cache.  They
+don't have a 'noac' mount flag, and setting various cache timeout fields in
+struct nfs_args doesn't turn off the attribute cache; instead, it sets the
+attribute cache timeout to some internal hard-coded default (usually
+anywhere from 5-30 seconds).  If Amd cannot turn off the NFS attribute
+cache, under heavy Amd usage, users could get ESTALE errors from automounted
+symlinks, or find that those symlinks point to the wrong place.  One
+workaround which would minimize this effect is to set auto_attrcache=1 in
+your amd.conf, but it doesn't eliminate the problem!  The best solutions are
+(1) to use Amd in Autofs mode, if it's supported in your OS, and (2) talk to
+your OS vendor to support a true "noac" flag.  See README.attrcache for more
+details.
+
+Erez & the am-utils team.
diff --git a/contrib/amd/COPYING b/contrib/amd/COPYING
index 040bc51..035f623 100644
--- a/contrib/amd/COPYING
+++ b/contrib/amd/COPYING
@@ -1,4 +1,4 @@
-Copyright (c) 1997-1999 Erez Zadok
+Copyright (c) 1997-2006 Erez Zadok
 Copyright (c) 1989 Jan-Simon Pendry
 Copyright (c) 1989 Imperial College of Science, Technology & Medicine
 Copyright (c) 1989 The Regents of the University of California.
diff --git a/contrib/amd/ChangeLog b/contrib/amd/ChangeLog
index ca984a2..12f2c5f 100644
--- a/contrib/amd/ChangeLog
+++ b/contrib/amd/ChangeLog
@@ -4841,7 +10707,7 @@ Fri Jul 25 03:16:31 1997  Erez Zadok  <ezk@felix.psl.cs.columbia.edu>
 	structure to actual char[], because the structure was passed to
 	xdr_fhandle as data and not a pointer.  Surprisingly, gcc
 	-fpcc-struct-return did not help.
-	
+
 	* conf/nfs_prot/nfs_prot_sunos5_4.h: special nfs protocol
 	definitions for solaris 2.4 have to be different from 2.3, and
 	different from 2.5.
@@ -4896,7 +10762,7 @@ Wed Jul 23 16:11:49 1997  Erez Zadok  <ezk@shekel.mcl.cs.columbia.edu>
 
 	* amd/ops_afs.c (afs_retry): patches from Debian Linux.  If
 	afs_mount timed out, then explicitly forbid further retries after
-	the timeout.  (afs_bgmount): buf fix from Debian Linux.  Timeout
+	the timeout.  (afs_bgmount): bug fix from Debian Linux.  Timeout
 	values (17 and 5) were mistakenly swapped.
 
 Wed Jul 23 15:53:25 1997  Erez Zadok  <ezk@felix.psl.cs.columbia.edu>
@@ -5155,7 +11021,7 @@ Tue Jul  8 12:42:03 1997  Erez Zadok  <ezk@shekel.mcl.cs.columbia.edu>
 
 Mon Jul  7 19:10:44 1997  Erez Zadok  <ezk@prometheus.soscorp.com>
 
-	* NFS V3 now works under Irix5, thanks to patches from 
+	* NFS V3 now works under Irix5, thanks to patches from
 	Andreas Stolcke <stolcke@speech.sri.com>.
 
 	* conf/mount/mount_irix5.c: sparate mount_irix.c into an irix5
@@ -5174,7 +11040,7 @@ Sun Jul  6 14:22:24 1997  Erez Zadok  <ezk@glory.soscorp.com>
 
 	* aux/{configure.in,acconfig.h}: added checks for struct
 	nfs_args's fields proto and sotype (bsdi3).
-	
+
 	* amd/ops_nfs.c (mount_nfs_fh): added nfsv3 option to
 	nfs_args.flags for bsdi3.  Set field proto to 0.  Set sotype field
 	to SOCK_STREAM or SOCK_DGRAM.
@@ -5253,7 +11119,7 @@ Thu Jul  3 17:49:00 1997  Erez Zadok  <ezk@prometheus.soscorp.com>
 	* aux/configure.in: some cleanup of which libraries are needed.
 	Espectially ensure that libnsl is included only on Solaris, where
 	so far it is the only system on which it is absolutely necessary.
-	Also no longer need to include libc explicitly. 
+	Also no longer need to include libc explicitly.
 
 	* amd/amd.c,wire-test/wire-test.c (main): convert IP address to
 	network-long order before printing it.
@@ -5266,7 +11132,7 @@ Thu Jul  3 17:49:00 1997  Erez Zadok  <ezk@prometheus.soscorp.com>
 Wed Jul  2 18:19:02 1997  Erez Zadok  <ezk@starblazers.soscorp.com>
 
 	* scripts/ctl-amd.in: don't use full pathname so killproc() works
-	better.  Also run bsd44 and irix style ps programs. 
+	better.  Also run bsd44 and irix style ps programs.
 
 	* aux/macros/check_lib_funcs.m4: bug fixed: used to define usage
 	of library no matter if it was found or not.
@@ -5322,7 +11188,7 @@ Mon Jun 30 20:49:13 1997  Erez Zadok  <ezk@lorien.cs.columbia.edu>
 Sun Jun 29 16:22:11 1997  Erez Zadok  <ezk@lorien.cs.columbia.edu>
 
 	* rudimentary amd.conf file support included.  You may even
-	override things like os=sos5, to get "backwards" compatibilty with
+	override things like os=sos5, to get "backwards" compatibility with
 	upl102.
 
 Sat Jun 28 13:35:02 1997  Erez Zadok  <ezk@lorien.cs.columbia.edu>
@@ -5436,7 +11302,7 @@ Sat May 24 13:40:50 1997  Erez Zadok  <ezk@shekel.mcl.cs.columbia.edu>
 
 	* scripts/ctl-hlfsd.in: new script ctl-hlfsd.  Used to start,
 	stop, or restart hlfsd.
-	
+
 	* scripts/expn.1: man page for expn command.
 
 	* scripts/ctl-amd.in: new script ctl-amd.  Used to start, stop, or
@@ -5457,7 +11323,7 @@ Sat May 24 13:40:50 1997  Erez Zadok  <ezk@shekel.mcl.cs.columbia.edu>
 	linux-specific mounts.  Handles fs-type specific mount-options
 	correctly.  Currently implemented: msdos, iso9660.
 
-	* amd/ops_pcfs.c (pcfs_ops): don't timeout cdfs mounts by default
+	* amd/ops_pcfs.c (pcfs_ops): don't timeout pcfs mounts by default
 	(fix for linux).
 
 	* amd/ops_cdfs.c (cdfs_ops): don't timeout cdfs mounts by default
@@ -5482,7 +11348,7 @@ Sun May 18 00:42:41 1997  Erez Zadok  <ezk@shekel.mcl.cs.columbia.edu>
 	* hlfsd/hlfsd.c: renamed dirname to dir_name to avoid conflicts
 	with dirname() function in <string.h> on OSF systems.
 
-	* fsinfo/fsi_util.c (set_ether_if): take out extern defintion of
+	* fsinfo/fsi_util.c (set_ether_if): take out extern definition of
 	inet_addr().  It should come from <arpa/inet.h> instead.
 
 	* conf/mtab/mtab_osf.c: fixed macros and added NFS V3 specs.
@@ -5581,7 +11447,7 @@ Sat May  6 10:20:17 2000  Erez Zadok  <ezk@glory.soscorp.com>
 	possible children.
 
 	* hlfsd/homedir.c: signal handler must waitpid() for all possible
-	children. 
+	children.
 
 	* aux/macros/check_restartable_signals.m4: new macro to determine
 	if need to reinstall signal handlers per OS is better than trying
@@ -5662,7 +11528,7 @@ Sat Mar 15 19:37:48 1997  Erez "HWank1" Zadok  <ezk@shekel.mcl.cs.columbia.edu>
 
 Sat Mar 14 10:11:03 1997  Erez "HWank1" Zadok  <ezk@lorien.cs.columbia.edu>
 
-	* SHARED LIBRARIES: too many change to list individually.  Now,
+	* SHARED LIBRARIES: too many changes to list individually.  Now,
 	libamu can be built as a shared library, and other programs link
 	with it.
 
@@ -5858,7 +11724,7 @@ Sun Feb 23 15:25:26 1997  Erez "HWank1" Zadok  <ezk@shekel.mcl.cs.columbia.edu>
 	* aux/acconfig.h: define and use HAVE_NFS_PROT_HEADERS as needed.
 
 	* aux/macros/check_nfs_prot_header.m4: new test to determine what
-	NFS protocol headers to use. 
+	NFS protocol headers to use.
 
 	* conf/nfs_prot/nfs_prot_{irix6,sunos4,bsdi2}.h: new headers to
 	complete missing system headers for NFS protocol definitions.
@@ -6141,13 +12007,19 @@ Thu Dec 19 02:08:35 1996  Erez "HWank1" Zadok  <ezk@shekel.mcl.cs.columbia.edu>
 Wed Dec 18 22:20:23 1996  Erez "HWank1" Zadok  <ezk@shekel.mcl.cs.columbia.edu>
 
 	* converted the sources to use memset/memmove/memcmp instead of
-	bzero/becopy/bcmp.
+	bzero/bcopy/bcmp.
 
 	* ran all sources through gnu Indent w/ options specified in
 	aux/amindent.
 
 Wed Dec 11 22:19:29 1996  Erez "HWank1" Zadok  <ezk@shekel.mcl.cs.columbia.edu>
 
-	* At this point the initial genration of config.h via autoconf and
+	* At this point the initial generation of config.h via autoconf and
 	some preliminary makefiles via automake is done.  I will not begin
 	modifying sources, so it's a good time to document from here.
+
+Wed Dec 10 22:19:29 1996  Erez "HWank1" Zadok  <ezk@shekel.mcl.cs.columbia.edu>
+
+	*******************************************************************
+	*** Initial ChangeLog Entry					***
+	*******************************************************************
diff --git a/contrib/amd/FAQ b/contrib/amd/FAQ
new file mode 100644
index 0000000..18e73a3
--- /dev/null
+++ b/contrib/amd/FAQ
@@ -0,0 +1,69 @@
+		    Am-utils Frequently Asked Questions
+
+Note: we started this FAQ only on March 15, 2005; so it's not long or
+comprehensive, yet.  Amd is much older than that, and so there's a lot of
+information that's already available in other forms.  If this FAQ doesn't
+answer your questions, see information in the following sources:
+
+1. The Am-utils book: http://www.am-utils.org/docs/amd-book/
+
+2. The Am-utils user manual, which is part of the distribution and is also
+   available from www.am-utils.org.
+
+3. The www.am-utils.org Web site resources, especially the "am-utils" mailing
+   list (and its archives).
+
+4. In the am-utils distribution (always use the latest ones), see all of the
+   various README files (README, README.autofs, README.ldap, README.osx, and
+   README.y2k).  The "BUGS" file also lists useful information about bugs
+   and problems with specific OSs which affect Amd.  All of these text files
+   are also available from www.am-utils.org.
+
+5. Some FAQ questions (including newbie questions) are available here:
+   http://www.kernelcorp.com/resources_faqs.html
+
+6. Some problems are known bugs but have not been fixed yet: this are
+   listed in bugzilla in https://bugzilla.am-utils.org/
+
+If you have additions to this FAQ, please let us know at
+am-utils@am-utils.org.
+
+Thank you,
+The Am-utils development team.
+
+<FAQ>
+
+*** Linux Questions
+
+Q1. When I use Amd with Autofs and I restart Amd, how come it cannot remount
+    the Autofs partitions?
+
+A1. This is a limitation of the Linux Autofs kernel module (for both autofs
+    v2. and v3).  The Linux Autofs does not allow restarting automounted
+    points.  There's nothing Amd can do about this.  In fact, the same
+    problem exists if you use the userland "automount" daemon instead of
+    Amd.  Hopefully Autofs-v4 or the separate effort of Autofs-NG will
+    address this serious problem.
+
+    Note that Amd itself can restart autofs automounted points just fine on
+    OSs that support it, for example Solaris.
+
+
+Q2. When I use Amd, I get this console message frequently: "mount version
+    older than kernel."  Is it a problem?
+
+A2. No, it's a harmless warning message that the Linux kernel prints for NFS
+    mounts.  The intent was to alert administrators that the kernel has
+    supposedly a different version of the mount(2) code than a userland
+    program used.  This happens if you compile Amd against kernel headers
+    that are different than the kernel you're running.  If the message
+    really bothers you, then one way to "fix" the problem is to recompile
+    Amd against the same kernel headers as the running kernel.
+
+    Nevertheless, it is a relatively useless message because as far as we
+    know, the NFS v2 and v3 mount codes have been in perfect sync between
+    the userland and kernel sides, and were "standardized" for years
+    already.  This warning message caused more unnecessary worry among
+    administrators than helping alert them to legitimate problems.
+
+</FAQ>
diff --git a/contrib/amd/FREEBSD-Xlist b/contrib/amd/FREEBSD-Xlist
index bc6bc91..7baf2af 100644
--- a/contrib/amd/FREEBSD-Xlist
+++ b/contrib/amd/FREEBSD-Xlist
@@ -1,12 +1,26 @@
-$FreeBSD: src/contrib/amd/FREEBSD-Xlist,v 1.1 1999/09/18 09:25:20 obrien Exp $
-$DragonFly: src/contrib/amd/FREEBSD-Xlist,v 1.2 2003/06/17 04:23:51 dillon Exp $
+$FreeBSD: src/contrib/amd/FREEBSD-Xlist,v 1.7 2012/11/17 01:48:41 svnexp Exp $
+*LSM.am-utils
 *Makefile.*
 *README.autofs
+*README.osx
+*ac*.m4
+*.old
+*acconfig.h
 *aux
+*autom4te.cache*
 *buildall
-*configure
+*config*
+*depcomp
+*install-sh
+*lt*
+*missing
+*mkinstalldirs
+*stamp-h.in
+*amd/test1.sh
 *amd/Makefile.*
 *amq/Makefile.*
+*commit
+*cvs-server.txt
 *conf/checkmount/checkmount_aix.c
 *conf/checkmount/checkmount_default.c
 *conf/checkmount/checkmount_osf.c
@@ -26,10 +40,13 @@ $DragonFly: src/contrib/amd/FREEBSD-Xlist,v 1.2 2003/06/17 04:23:51 dillon Exp $
 *conf/fh_dref/fh_dref_sunos3.h
 *conf/fh_dref/fh_dref_sunos4.h
 *conf/fh_dref/fh_dref_svr4.h
+*conf/hn_dref/hn_dref_default.h,
 *conf/hn_dref/hn_dref_isc3.h
 *conf/hn_dref/hn_dref_linux.h
 *conf/mount/mount_aix.c
+*conf/mount/mount_aix3.c
 *conf/mount/mount_bsdi3.c
+*conf/mount/mount_default.c
 *conf/mount/mount_freebsd3.c
 *conf/mount/mount_hpux.c
 *conf/mount/mount_irix5.c
@@ -42,6 +59,7 @@ $DragonFly: src/contrib/amd/FREEBSD-Xlist,v 1.2 2003/06/17 04:23:51 dillon Exp $
 *conf/mtab/mtab_aix.c
 *conf/mtab/mtab_file.c
 *conf/mtab/mtab_isc3.c
+*conf/mtab/mtab_linux.c
 *conf/mtab/mtab_mach3.c
 *conf/mtab/mtab_osf.c
 *conf/mtab/mtab_svr4.c
@@ -50,8 +68,11 @@ $DragonFly: src/contrib/amd/FREEBSD-Xlist,v 1.2 2003/06/17 04:23:51 dillon Exp $
 *conf/nfs_prot/nfs_prot_aix4.h
 *conf/nfs_prot/nfs_prot_aix4_2.h
 *conf/nfs_prot/nfs_prot_aix4_3.h
+*conf/nfs_prot/nfs_prot_aix5_1.h
+*conf/nfs_prot/nfs_prot_aix5_2.h
 *conf/nfs_prot/nfs_prot_bsdi2.h
 *conf/nfs_prot/nfs_prot_bsdi3.h
+*conf/nfs_prot/nfs_prot_darwin.h
 *conf/nfs_prot/nfs_prot_default.h
 *conf/nfs_prot/nfs_prot_hpux.h
 *conf/nfs_prot/nfs_prot_hpux11.h
@@ -66,6 +87,8 @@ $DragonFly: src/contrib/amd/FREEBSD-Xlist,v 1.2 2003/06/17 04:23:51 dillon Exp $
 *conf/nfs_prot/nfs_prot_openbsd.h
 *conf/nfs_prot/nfs_prot_osf2.h
 *conf/nfs_prot/nfs_prot_osf4.h
+*conf/nfs_prot/nfs_prot_osf5.h
+*conf/nfs_prot/nfs_prot_osf5_1.h
 *conf/nfs_prot/nfs_prot_sunos3.h
 *conf/nfs_prot/nfs_prot_sunos4.h
 *conf/nfs_prot/nfs_prot_sunos5_3.h
@@ -73,8 +96,15 @@ $DragonFly: src/contrib/amd/FREEBSD-Xlist,v 1.2 2003/06/17 04:23:51 dillon Exp $
 *conf/nfs_prot/nfs_prot_sunos5_5.h
 *conf/nfs_prot/nfs_prot_sunos5_6.h
 *conf/nfs_prot/nfs_prot_sunos5_7.h
+*conf/nfs_prot/nfs_prot_sunos5_8.h
 *conf/nfs_prot/nfs_prot_svr4.h
 *conf/nfs_prot/nfs_prot_ultrix.h
+*conf/autofs/autofs_linux.h
+*conf/autofs/autofs_linux.c
+*conf/autofs/autofs_solaris_v1.h
+*conf/autofs/autofs_solaris_v1.c
+*conf/autofs/autofs_solaris_v2_v3.h
+*conf/autofs/autofs_solaris_v2_v3.c
 *conf/sa_dref/sa_dref_386bsd.h
 *conf/sa_dref/sa_dref_aix3.h
 *conf/sa_dref/sa_dref_aoi.h
@@ -99,7 +129,9 @@ $DragonFly: src/contrib/amd/FREEBSD-Xlist,v 1.2 2003/06/17 04:23:51 dillon Exp $
 *conf/trap/trap_stellix.h
 *conf/trap/trap_svr4.h
 *conf/trap/trap_ultrix.h
+*conf/umount/umount_aix.c
 *conf/umount/umount_default.c
+*conf/umount/umount_linux.c
 *conf/umount/umount_osf.c
 *doc/Makefile.am
 *doc/Makefile.in
@@ -114,15 +146,123 @@ $DragonFly: src/contrib/amd/FREEBSD-Xlist,v 1.2 2003/06/17 04:23:51 dillon Exp $
 *doc/am-utils.info-7
 *doc/am-utils.ps
 *doc/hlfsd.ps
+*doc/mdate-sh
 *fixmount/Makefile.*
 *fsinfo/Makefile.*
 *hlfsd/Makefile.*
 *libamu/Makefile.*
+*libamu/alloca.c
 *libamu/clnt_sperrno.c
 *libamu/memcmp.c
 *libamu/strcasecmp.c
 *libamu/strdup.c
 *libamu/strstr.c
+*libamu/strlcat.c
+*libamu/strlcpy.c
 *libamu/ualarm.c
 *mk-amd-map/Makefile.*
 *wire-test/Makefile.*
+*m4/GNUmakefile
+*m4/amdgrep*
+*m4/amindent*
+*m4/autopat*
+*m4/chop-aclocal.pl*
+*m4/copy-if-newbig*
+*m4/mk-aclocal*
+*m4/mkconf*
+*m4/rmtspc*
+*m4/update_build_version*
+*m4/macros/HEADER
+*m4/macros/TRAILER
+*m4/macros/c_void_p.m4
+*m4/macros/cache_check_dynamic.m4
+*m4/macros/check_amu_fs.m4
+*m4/macros/check_checkmount_style.m4
+*m4/macros/check_extern.m4
+*m4/macros/check_fhandle.m4
+*m4/macros/check_field.m4
+*m4/macros/check_fs_headers.m4
+*m4/macros/check_fs_mntent.m4
+*m4/macros/check_gnu_getopt.m4
+*m4/macros/check_hide_mount_type.m4
+*m4/macros/check_lib2.m4
+*m4/macros/check_map_funcs.m4
+*m4/macros/check_mnt2_cdfs_opt.m4
+*m4/macros/check_mnt2_gen_opt.m4
+*m4/macros/check_mnt2_nfs_opt.m4
+*m4/macros/check_mnttab_file_name.m4
+*m4/macros/check_mnttab_location.m4
+*m4/macros/check_mnttab_opt.m4
+*m4/macros/check_mnttab_style.m4
+*m4/macros/check_mnttab_type.m4
+*m4/macros/check_mount_style.m4
+*m4/macros/check_mount_trap.m4
+*m4/macros/check_mount_type.m4
+*m4/macros/check_mtype_printf_type.m4
+*m4/macros/check_mtype_type.m4
+*m4/macros/check_network_transport_type.m4
+*m4/macros/check_nfs_fh_dref.m4
+*m4/macros/check_nfs_hn_dref.m4
+*m4/macros/check_nfs_prot_headers.m4
+*m4/macros/check_nfs_sa_dref.m4
+*m4/macros/check_nfs_socket_connection.m4
+*m4/macros/check_os_libs.m4
+*m4/macros/check_restartable_signal_handler.m4
+*m4/macros/check_umount_style.m4
+*m4/macros/check_unmount_args.m4
+*m4/macros/check_unmount_call.m4
+*m4/macros/expand_cpp_hex.m4
+*m4/macros/expand_cpp_int.m4
+*m4/macros/expand_cpp_string.m4
+*m4/macros/expand_run_string.m4
+*m4/macros/extern_optarg.m4
+*m4/macros/extern_sys_errlist.m4
+*m4/macros/field_mntent_t_mnt_time_string.m4
+*m4/macros/func_bad_memcmp.m4
+*m4/macros/func_bad_yp_all.m4
+*m4/macros/header_templates.m4
+*m4/macros/host_macros.m4
+*m4/macros/linux_headers.m4
+*m4/macros/localconfig.m4
+*m4/macros/mount_headers.m4
+*m4/macros/name_package.m4
+*m4/macros/name_version.m4
+*m4/macros/opt_amu_cflags.m4
+*m4/macros/opt_cppflags.m4
+*m4/macros/opt_debug.m4
+*m4/macros/opt_ldflags.m4
+*m4/macros/opt_libs.m4
+*m4/macros/os_cflags.m4
+*m4/macros/os_cppflags.m4
+*m4/macros/os_ldflags.m4
+*m4/macros/package_bugreport.m4
+*m4/macros/package_name.m4
+*m4/macros/package_version.m4
+*m4/macros/save_state.m4
+*m4/macros/struct_field_nfs_fh.m4
+*m4/macros/struct_mntent.m4
+*m4/macros/struct_mnttab.m4
+*m4/macros/struct_nfs_args.m4
+*m4/macros/struct_nfs_fh.m4
+*m4/macros/struct_nfs_fh3.m4
+*m4/macros/struct_nfs_gfs_mount.m4
+*m4/macros/try_compile_anyfs.m4
+*m4/macros/try_compile_nfs.m4
+*m4/macros/try_compile_rpc.m4
+*m4/macros/type_auth_create_gidlist.m4
+*m4/macros/type_cachefs_args.m4
+*m4/macros/type_cdfs_args.m4
+*m4/macros/type_efs_args.m4
+*m4/macros/type_lofs_args.m4
+*m4/macros/type_mfs_args.m4
+*m4/macros/type_pcfs_args.m4
+*m4/macros/type_recvfrom_fromlen.m4
+*m4/macros/type_rfs_args.m4
+*m4/macros/type_svc_in_arg.m4
+*m4/macros/type_time_t.m4
+*m4/macros/type_tmpfs_args.m4
+*m4/macros/type_ufs_args.m4
+*m4/macros/type_xdrproc_t.m4
+*m4/macros/type_xfs_args.m4
+*m4/macros/type_yp_order_outorder.m4
+*m4/macros/with_addon.m4
